Name:		google-translator
License:	GPLv2
Group:		System/Internationalization
Version:	0.9.6.01
Release:	alt0.M40.1
Summary:	GUI for Google Translate engine
Packager:	Motsyo Gennadi <drool@altlinux.ru>
URL:		http://qt-apps.org/content/show.php/Google+Translate?content=100039
Source0:	http://alexsnet.ru/wp-content/uploads/2009/02/astranslator-0961.zip
Source1:	%name.desktop

# Automatically added by buildreq on Fri May 15 2009 (-bi)
BuildRequires: ImageMagick gcc-c++ libqt4-devel unzip

%description
This application translates text via
Google Translate engine. (http://translate.google.com/)

%prep
%setup -T -c
%__unzip -qa %SOURCE0

%build
export PATH=$PATH:%_qt4dir/bin
cd ASTranslator && qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags"
%make_build

%install
%__install -Dp -m 0755 ASTranslator/bin/Translator %buildroot%_bindir/%name
%__install -Dp -m 0644 %SOURCE1 %buildroot/%_desktopdir/%name.desktop

# Icons
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 48x48 ASTranslator/src/res/icon-128.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 ASTranslator/src/res/icon-128.png %buildroot%_niconsdir/%name.png
convert -resize 16x16 ASTranslator/src/res/icon-128.png %buildroot%_miconsdir/%name.png
install -pD -m644 ASTranslator/src/res/icon-128.png %buildroot%_iconsdir/hicolor/128x128/apps/%name.png

%files
%_bindir/%name
%_desktopdir/%name.desktop
%_miconsdir/%name.png
%_niconsdir/%name.png
%_liconsdir/%name.png
%_iconsdir/hicolor/128x128/apps/%name.png

%changelog
* Sun Jun 07 2009 Motsyo Gennadi <drool@altlinux.ru> 0.9.6.01-alt0.M40.1
- build for M40

* Sun Jun 07 2009 Motsyo Gennadi <drool@altlinux.ru> 0.9.6.01-alt1
- 0.9.6.01:
  + Completely reworked the code
  + Ability to set Proxy (beta)
  + Added About Qt
  + Added About App
  + Added Settings
  + Class interpreter is now separated from the GUI
  + Restored icon for Windows

* Thu May 28 2009 Motsyo Gennadi <drool@altlinux.ru> 0.9.5.28-alt1
- 0.9.5.28:
  + Tray Icon
  + Some fixes

* Fri May 15 2009 Motsyo Gennadi <drool@altlinux.ru> 0.9.3.02-alt1
- initial build for ALT Linux
